Bug 181889 - Disallow evaluating JavaScript from NPP_Destroy() in WebKit
Summary: Disallow evaluating JavaScript from NPP_Destroy() in WebKit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: WebKit Local Build
Hardware: All All
: P2 Normal
Assignee: Daniel Bates
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-01-19 16:03 PST by Daniel Bates
Modified: 2018-02-05 10:04 PST (History)
7 users (show)

See Also:


Attachments
Patch (13.19 KB, patch)
2018-01-19 16:10 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Patch (13.25 KB, patch)
2018-01-19 16:15 PST, Daniel Bates
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (3.04 MB, application/zip)
2018-01-19 17:13 PST, Build Bot
no flags Details
Patch (15.24 KB, patch)
2018-02-02 20:49 PST, Daniel Bates
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Bates 2018-01-19 16:03:40 PST
Disallow evaluating JavaScript from NPP_Destroy() in WebKit.
Comment 1 Radar WebKit Bug Importer 2018-01-19 16:05:55 PST
<rdar://problem/36674701>
Comment 2 Daniel Bates 2018-01-19 16:10:29 PST
Created attachment 331806 [details]
Patch
Comment 3 Daniel Bates 2018-01-19 16:13:52 PST
Evaluating of JavaScript from NPP_Destroy() was disallowed in WebKitLegacy on macOS since <https://trac.webkit.org/changeset/42789/> and has been racy in WebKit since <https://trac.webkit.org/changeset/164015> (bug #128712).
Comment 4 Daniel Bates 2018-01-19 16:15:00 PST
Created attachment 331808 [details]
Patch
Comment 5 Brent Fulgham 2018-01-19 16:59:08 PST
Comment on attachment 331808 [details]
Patch

It seems bad to allow this in the first place. r=mews.
Comment 6 Build Bot 2018-01-19 17:13:16 PST Comment hidden (obsolete)
Comment 7 Build Bot 2018-01-19 17:13:17 PST Comment hidden (obsolete)
Comment 8 Daniel Bates 2018-02-02 20:49:50 PST
Created attachment 333026 [details]
Patch
Comment 9 Daniel Bates 2018-02-02 20:56:41 PST
Comment on attachment 333026 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333026&action=review

> Source/WebKit/ChangeLog:9
> +        Make the behavior of WebKit match the behavior of WebKitLegacy on Mac.

I will update this description to include the remarks I made in comment #3 before landing.
Comment 10 Brent Fulgham 2018-02-02 21:16:08 PST
Comment on attachment 333026 [details]
Patch

R=me
Comment 11 Daniel Bates 2018-02-05 10:04:03 PST
Comment on attachment 333026 [details]
Patch

Clearing flags on attachment: 333026

Committed r228100: <https://trac.webkit.org/changeset/228100>
Comment 12 Daniel Bates 2018-02-05 10:04:05 PST
All reviewed patches have been landed.  Closing bug.